curl --request POST \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/accounts/<uuid>/onboard \
--header 'Content-Type: application/json' \
--data '{
"terms_of_service": {
"accepted_date": "2019-12-27T18:11:19.117Z",
"agreement_url": "<string>",
"agreement_type": "embedded"
}
}'import Straddle from '@straddlecom/straddle';
const client = new Straddle({
apiKey: process.env['STRADDLE_API_KEY'], // This is the default and can be omitted
});
async function main() {
const accountV1 = await client.embed.accounts.onboard('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
terms_of_service: { accepted_date: '2019-12-27T18:11:19.117Z', agreement_type: 'embedded' },
});
console.log(accountV1.data);
}
main();import os
from straddle import Straddle
from straddle._utils import parse_datetime
client = Straddle(
api_key=os.environ.get("STRADDLE_API_KEY"), # This is the default and can be omitted
)
account_v1 = client.embed.accounts.onboard(
account_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
terms_of_service={
"accepted_date": parse_datetime("2019-12-27T18:11:19.117Z"),
"agreement_type": "embedded",
},
)
print(account_v1.data)require "straddle"
straddle = Straddle::Client.new(
api_key: ENV["STRADDLE_API_KEY"], # This is the default and can be omitted
environment: "production" # defaults to "sandbox"
)
account_v1 = straddle.embed.accounts.onboard(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
terms_of_service: {accepted_date: "2019-12-27T18:11:19.117Z", agreement_type: :embedded, agreement_url: "agreement_url"}
)
puts(account_v1){
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "business",
"status_detail": {
"source": "watchtower",
"code": "<string>",
"message": "<string>"
},
"business_profile": {
"name": "<string>",
"website": "<string>",
"legal_name": "<string>",
"description": "<string>",
"use_case": "<string>",
"tax_id": "<string>",
"phone": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"line2": "<string>",
"country": "<string>"
},
"industry": {
"mcc": "<string>",
"sector": "<string>",
"category": "<string>"
},
"support_channels": {
"email": "[email protected]",
"phone": "<string>",
"url": "<string>"
}
},
"capabilities": {
"payment_types": {
"charges": {},
"payouts": {}
},
"customer_types": {
"individuals": {},
"businesses": {}
},
"consent_types": {
"signed_agreement": {},
"internet": {}
}
},
"settings": {
"charges": {
"max_amount": 123,
"monthly_amount": 123,
"daily_amount": 123,
"monthly_count": 123,
"linked_bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payouts": {
"max_amount": 123,
"monthly_amount": 123,
"daily_amount": 123,
"monthly_count": 123,
"linked_bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"terms_of_service": {
"accepted_date": "2023-11-07T05:31:56Z",
"agreement_url": "<string>",
"agreement_type": "embedded",
"accepted_ip": "<string>",
"accepted_user_agent": "<string>"
},
"metadata": {},
"external_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}Onboard an account
Initiates the onboarding process for a new account. This endpoint can only be used for accounts where at least one representative and one bank account have already been created.
curl --request POST \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/accounts/<uuid>/onboard \
--header 'Content-Type: application/json' \
--data '{
"terms_of_service": {
"accepted_date": "2019-12-27T18:11:19.117Z",
"agreement_url": "<string>",
"agreement_type": "embedded"
}
}'import Straddle from '@straddlecom/straddle';
const client = new Straddle({
apiKey: process.env['STRADDLE_API_KEY'], // This is the default and can be omitted
});
async function main() {
const accountV1 = await client.embed.accounts.onboard('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
terms_of_service: { accepted_date: '2019-12-27T18:11:19.117Z', agreement_type: 'embedded' },
});
console.log(accountV1.data);
}
main();import os
from straddle import Straddle
from straddle._utils import parse_datetime
client = Straddle(
api_key=os.environ.get("STRADDLE_API_KEY"), # This is the default and can be omitted
)
account_v1 = client.embed.accounts.onboard(
account_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
terms_of_service={
"accepted_date": parse_datetime("2019-12-27T18:11:19.117Z"),
"agreement_type": "embedded",
},
)
print(account_v1.data)require "straddle"
straddle = Straddle::Client.new(
api_key: ENV["STRADDLE_API_KEY"], # This is the default and can be omitted
environment: "production" # defaults to "sandbox"
)
account_v1 = straddle.embed.accounts.onboard(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
terms_of_service: {accepted_date: "2019-12-27T18:11:19.117Z", agreement_type: :embedded, agreement_url: "agreement_url"}
)
puts(account_v1){
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "business",
"status_detail": {
"source": "watchtower",
"code": "<string>",
"message": "<string>"
},
"business_profile": {
"name": "<string>",
"website": "<string>",
"legal_name": "<string>",
"description": "<string>",
"use_case": "<string>",
"tax_id": "<string>",
"phone": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"line2": "<string>",
"country": "<string>"
},
"industry": {
"mcc": "<string>",
"sector": "<string>",
"category": "<string>"
},
"support_channels": {
"email": "[email protected]",
"phone": "<string>",
"url": "<string>"
}
},
"capabilities": {
"payment_types": {
"charges": {},
"payouts": {}
},
"customer_types": {
"individuals": {},
"businesses": {}
},
"consent_types": {
"signed_agreement": {},
"internet": {}
}
},
"settings": {
"charges": {
"max_amount": 123,
"monthly_amount": 123,
"daily_amount": 123,
"monthly_count": 123,
"linked_bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payouts": {
"max_amount": 123,
"monthly_amount": 123,
"daily_amount": 123,
"monthly_count": 123,
"linked_bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"terms_of_service": {
"accepted_date": "2023-11-07T05:31:56Z",
"agreement_url": "<string>",
"agreement_type": "embedded",
"accepted_ip": "<string>",
"accepted_user_agent": "<string>"
},
"metadata": {},
"external_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}Authorizations
Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.
Headers
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
Optional client generated value to use for idempotent requests.
10 - 40Path Parameters
Body
Object containing details regarding the acceptance of the Terms of Service.
Show child attributes
Show child attributes
Response
Created
Metadata about the API request, including an identifier and timestamp.
Show child attributes
Show child attributes
Indicates the structure of the returned content.
- "object" means the
datafield contains a single JSON object. - "array" means the
datafield contains an array of objects. - "error" means the
datafield contains an error object with details of the issue. - "none" means no data is returned.
object, array, error, none Show child attributes
Show child attributes
Related topics
Manage embedded platform accountsOnboard merchants with Straddle EmbedSimulate account onboarding in sandboxHosted onboarding for embedded accountsManage account representativesWas this page helpful?